OpenapiGenerated
List available cloud provider regions.
Path Parameters
organisationSlug*string
Match
^[a-z0-9-_]+$provider*string
Match
^[a-z0-9-_]+$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/orgs/string/cloud-providers/string/regions"{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ { "id": 0, "provider": "string", "name": "string", "slug": "string", "available": true, "restricted": true, "addToNewTrialOrganizations": true, "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z" } ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "paged": true, "pageNumber": 0, "pageSize": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true}